package com.bcxin.ars.enums;

import com.bcxin.ars.webservice.*;

/**
 * 上报部级接口 数据类型
 * @author linqinglin
 * @date 2021/03/06 0006 10:05
 */
public enum MinisterialDataType {

    /***
     * 保安服务公司信息
     */
    BAGSXXB {
        @Override
        public String getCode(){return "xxba_bagsxxb";}
        @Override
        public  Class getDataClazz(){return Bagsxxb.class;}
    },
    /**
     * 保安服务公司出资人信息
     */
    BAFWGSCZRXX {
        @Override
        public String getCode(){return "xxba_bafwgsczrxx";}
        @Override
        public  Class getDataClazz(){return Bafwgsczrxx.class;}
    },
    /***
     * 保安服务公司主要管理人员信息
     */
    BAFWGSGLRY {
        @Override
        public String getCode(){return "xxba_bafwgsglry";}
        @Override
        public  Class getDataClazz(){return Bafwgsglry.class;}
    },
    /***
     * 保安服务公司分公司基本信息
     */
    BAFWGSFGSXX {
        @Override
        public String getCode(){return "xxba_bafwgsfgsxx";}
        @Override
        public  Class getDataClazz(){return Bafwgsfgsxx.class;}
    },
    /***
     * 保安服务公司分公司主要管理人员信息
     */
    BAFWGSFGSGLRY {
        @Override
        public String getCode(){return "xxba_bafwgsfgsglry";}
        @Override
        public  Class getDataClazz(){return Bafwgsfgsglry.class;}
    },
    /***
     * 保安服务公司跨区经营基本信息
     */
    BAFWGSKQJYXX {
        @Override
        public String getCode(){return "xxba_bafwgskqjyxx";}
        @Override
        public  Class getDataClazz(){return Bafwgskqjyxx.class;}
    },
    /***
     * 自行招用保安员的单位
     */
    XZXZYBAYDWXX {
        @Override
        public String getCode(){return "xxba_zxzybaydwxx";}
        @Override
        public  Class getDataClazz(){return Zxzybaydwxx.class;}
    },
    /**
     * 保安培训机构
     */
    BAPXDWXX {
        @Override
        public String getCode(){return "xxba_bapxdwxx";}
        @Override
        public  Class getDataClazz(){return Bapxdwxx.class;}
    },
    /***
     * 保安员从业情况基本信息
     */
    BAYCYQKXX {
        @Override
        public String getCode(){return "xxba_baycyqkxx";}
        @Override
        public  Class getDataClazz(){return Baycyqkxx.class;}
    },
    /***
     * 保安从业单位及保安培训机构监督检查情况
     */
    BADWJDJCXX {
        @Override
        public String getCode(){return "xxba_badwjdjcxx";}
        @Override
        public  Class getDataClazz(){return Badwjdjcxx.class;}
    },
    /***
     * 保安员持枪情况
     */
    BAYCQQKB {
        @Override
        public String getCode(){return "xxba_baycqqkb";}
        @Override
        public  Class getDataClazz(){return Baycqqkb.class;}
    },
    /***
     * 保安监管力量
     */
    //BAJGLL {
    //    @Override
    //    public String getCode(){return "xxba_bajgll";}
    //    @Override
    //    public  Class getDataClazz(){return Bajgll.class;}
    //},
    /***
     * 海外经营信息
     */
    HWJYXX {
        @Override
        public String getCode(){return "xxba_hwjyxx";}
        @Override
        public  Class getDataClazz(){return Hwjyxx.class;}
    },
    /**
     * 保安协会信息
     */
    BAXHXX {
        @Override
        public String getCode(){return "xxba_baxhxx";}
        @Override
        public Class getDataClazz(){return Baxhxx.class;}
    },
    /**
     * 公安机关保安监管机构
     */
    //POLICESECSUPORG {
    //    @Override
    //    public String getCode(){return "xxba_policesecsuporg";}
    //    @Override
    //    public  Class getDataClazz(){return Policesecsuporg.class;}
    //},
    /**
     * 保安从业单位押运车辆配备情况基本信息
     */
    BACYDWCLPBXX {
        @Override
        public String getCode(){return "xxba_bacydwclpbxx";}
        @Override
        public  Class getDataClazz(){return Bacydwclpbxx.class;}
    },
    /**
     * 保安从业单位及保安培训机构监督检查被处理人基本信息
     */
    BADWJDJCBCLRXX {
        @Override
        public String getCode(){return "xxba_badwjdjcbclrxx";}
        @Override
        public  Class getDataClazz(){return Badwjdjcbclrxx.class;}
    },
    /**
     * 参与协助公安工作情况基本信息
     */
    BACYXZGZXX {
        @Override
        public String getCode(){return "xxba_bacyxzgzxx";}
        @Override
        public  Class getDataClazz(){return Bacyxzgzxx.class;}
    },

    /**
     * 保安服务公司枪支配备情况基本信息
     */
    BACYDWQZPBXX {
        @Override
        public String getCode(){return "xxba_bacydwqzpbxx";}
        @Override
        public  Class getDataClazz(){return Bacydwqzpbxx.class;}
    },

    /**
     * 表彰奖励情况基本信息
     */
    BABZJLXX {
        @Override
        public String getCode(){return "xxba_babzjlxx";}
        @Override
        public  Class getDataClazz(){return Babzjlxx.class;}
    },

    /**
     * 培训机构培训开展情况基本信息
     */
    BAYPXQK {
        @Override
        public String getCode(){return "xxba_baypxqk";}
        @Override
        public  Class getDataClazz(){return Baypxqk.class;}
    },
    /**
     * 其他信息
     */
    BAQTXX {
        @Override
        public String getCode(){return "xxba_baqtxx";}
        @Override
        public  Class getDataClazz(){return Baqtxx.class;}
    },
    /***
     * 部级对接：保安员信息
     */
    BAYXXB {
        @Override
        public String getCode(){return "xxba_bayxxb";}
        @Override
        public  Class getDataClazz(){return Bayxxb.class;}
    },
    /***
     * 照片信息上报
     */
    ZPXXB {
        @Override
        public String getCode(){return "xxba_zpxxb";}
        @Override
        public  Class getDataClazz(){return Zpxxb.class;}
    };


    public abstract String getCode();

    public abstract Class getDataClazz();

}
